# TdApi.UpdateGroupCallParticipant (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateGroupCallParticipant

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateGroupCallParticipant

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateGroupCallParticipant

Enclosing class:
  TdApi

public static final class TdApi.UpdateGroupCallParticipant extends TdApi.Update
Information about a group call participant was changed. The updates are sent only after the group call is received through getGroupCall and only if the call is joined or being joined.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Identifier of group call.
`TdApi.GroupCallParticipant`
`participant`
New data about a participant.

## Constructor Summary

Constructors
Constructor
Description
`UpdateGroupCallParticipant()`
Information about a group call participant was changed.
`UpdateGroupCallParticipant(int groupCallId, TdApi.GroupCallParticipant participant)`
Information about a group call participant was changed.
`UpdateGroupCallParticipant(DataInput input)`
Information about a group call participant was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Identifier of group call.

### participant

public TdApi.GroupCallParticipant participant
New data about a participant.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateGroupCallParticipant

public UpdateGroupCallParticipant()
Information about a group call participant was changed. The updates are sent only after the group call is received through getGroupCall and only if the call is joined or being joined.

### UpdateGroupCallParticipant

public UpdateGroupCallParticipant(int groupCallId, TdApi.GroupCallParticipant participant)
Information about a group call participant was changed. The updates are sent only after the group call is received through getGroupCall and only if the call is joined or being joined.

Parameters:
  `groupCallId` - int Identifier of group call.
  `participant` - GroupCallParticipant New data about a participant.

### UpdateGroupCallParticipant

public UpdateGroupCallParticipant(DataInput input) throws IOException
Information about a group call participant was changed. The updates are sent only after the group call is received through getGroupCall and only if the call is joined or being joined.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`